#include <QCoreApplication>
#include <QAxObject>
#include <QDebug>
#include <QDir>
#include <QLibraryInfo>
#include <qt_windows.h>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    QString f = QCoreApplication::arguments().value(1);
    if (f.isEmpty())
        f = QDir::toNativeSeparators(QDir::cleanPath(QLatin1String(SRCDIR) + QLatin1String("/test.doc")));

    qDebug() << QLibraryInfo::build() << '\n' << f;

    CoInitialize(nullptr);
    QAxObject *app = new QAxObject("Word.Application");
    app->setProperty("Visible", QVariant(true));
    QAxObject *documents = app->querySubObject("Documents");
    QAxObject *document = documents->querySubObject("Open(const QString&)", QVariant(f));
    QAxObject *window = document->querySubObject("ActiveWindow");
    qDebug() << "querySubObject(\"ActiveWindow\") returns" << window;

    return window ? 0 : -1;
}
